# Sample Analysis Process

### Overview

The sample analysis process is triggered manually from the population exploration dashlet

This process computes a per-layer gradcam-like heatmap.

### Common Run Issues:

{% hint style="danger" %}
Sample analysis can fail due to the possible reasons:

* OOM in sample analysis, please adjust the limits in the [settings](/user-interface/settings.md) page.
* If heatmaps are invalid: make sure [add\_prediction](/tensorleap-integration/python-api/code_loader/leap_binder/add_prediction.md) and [input\_encoder](/tensorleap-integration/python-api/code_loader/decorators/tensorleap_input_encoder.md) both declare the correct channel dimension.
  {% endhint %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.tensorleap.ai/user-interface/project/menu-bar/runs-and-processes/process-types/sample-analysis-process.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
